=== debian/changelog ===
libthrust (1.15.0-1) unstable; urgency=medium

  * New upstream release 1.15.0 (CUDA 11.6).
  * Recommend libtbb-dev.
  * Tighten cub dependency.  (Closes: #1006226)
  * Use upstream build system for installation.
  * Add superficial autopkgtest for cmake find_package(Thrust).
  * Add superficial autopkgtest running (CPP, TBB, OMP) or compiling (CUDA)
    the upstream testsuite for C++-14 and C++17 (requires
    nvidia-cuda-toolkit/non-free).
    (Running the CUDA testsuite would require a CUDA capable CPU and using the
    kernel module from nvidia-graphics-drivers/non-free.)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Mar 2022 20:51:54 +0100
