=== debian/control ===
Source: libthrust
Section: libdevel
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/NVIDIA/thrust
Vcs-Browser: https://salsa.debian.org/nvidia-team/libthrust
Vcs-Git: https://salsa.debian.org/nvidia-team/libthrust.git

Package: libthrust-dev
Architecture: all
Multi-Arch: foreign
Depends:
 libcub-dev (>= ${cub:Version}),
 libcub-dev (<< ${cub:Version}.),
 ${misc:Depends}
Recommends:
 libtbb-dev,
Suggests: nvidia-cuda-toolkit
Description: Thrust - Parallel Algorithms Library
 Thrust is a parallel algorithms library which resembles the C++ Standard
 Template Library (STL). Thrust's high-level interface greatly enhances
 programmer productivity while enabling performance portability between GPUs
 and multicore CPUs. Interoperability with established technologies (such as
 CUDA, TBB, and OpenMP) facilitates integration with existing software.
