=== debian/tests/control ===
Test-Command: cmake -Wno-dev -S debian/tests/cmake -B $AUTOPKGTEST_TMP
Depends:
 @,
 cmake,
 g++,
 libtbb-dev,
Restrictions:
 superficial,

Test-Command: debian/tests/upstream-testsuite CPP
Depends:
 @,
 cmake,
 g++,
 libtbb-dev,
Restrictions:
 superficial,
 allow-stderr,
 flaky,

Test-Command: debian/tests/upstream-testsuite TBB
Depends:
 @,
 cmake,
 g++,
 libtbb-dev,
Restrictions:
 superficial,
 allow-stderr,

Test-Command: debian/tests/upstream-testsuite OMP
Depends:
 @,
 cmake,
 g++,
 libtbb-dev,
Restrictions:
 superficial,
 allow-stderr,
 flaky,

Test-Command: debian/tests/upstream-testsuite CUDA cuda-g++
Architecture: amd64 arm64 ppc64el
Depends:
 @,
 cmake,
 libtbb-dev,
 nvidia-cuda-toolkit-gcc,
Restrictions:
 superficial,
 allow-stderr,
 flaky,

Test-Command: debian/tests/upstream-testsuite CUDA g++-10
Architecture: amd64 arm64 ppc64el
Depends:
 @,
 cmake,
 libtbb-dev,
 g++-10,
 nvidia-cuda-toolkit,
Restrictions:
 superficial,
 allow-stderr,
 flaky,
