## libthrust 1.16.0

=== debian/changelog ===
libthrust (1.16.0-1) unstable; urgency=medium

  * New upstream release 1.16.0.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 19 Jun 2022 20:27:00 +0200

libthrust (1.15.0-6) unstable; urgency=medium

  * Disable cuda tests on !amd64, they always run into timeout.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 Jun 2022 23:19:51 +0200

libthrust (1.15.0-5) unstable; urgency=medium

  * Avoid using '/' in autopkgtest names.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Jun 2022 03:32:27 +0200

libthrust (1.15.0-4) unstable; urgency=medium

  * Reduce amount of autopkgtest tests.  (Closes: #1011646)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 27 May 2022 06:20:52 +0200

libthrust (1.15.0-3) unstable; urgency=medium

  * Generate debian/tests/control from debian/tests/control.sh.
  * More fine-grained CUDA autopkgtests to avoid timeouts.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 25 May 2022 21:29:40 +0200

libthrust (1.15.0-2) unstable; urgency=medium

  * Add salsa-ci.yml.
  * Tune autopkgtests.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 May 2022 19:02:05 +0200
