=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,15 @@
 	dh_auto_install --destdir=debian/tmp
 
 execute_after_dh_auto_install:
+	$(RM) -v debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/thrust/thrust-header-search.cmake.in
 	# remove empty directories
 	find debian/tmp -depth -type d -exec sh -c 'd="{}"; rmdir --ignore-fail-on-non-empty "$$d" ; test -d "$$d" || echo "removed $$d"' \;
 
 override_dh_gencontrol:
 	dh_gencontrol -- -V'cub:Version=$(word 1,$(subst -, ,$(DEB_VERSION_UPSTREAM)))'
+
+
+debian/tests/control: debian/tests/control.sh
+	sh $< > $@
+
+clean: debian/tests/control
