=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 	dh_auto_install --destdir=debian/tmp
 
 execute_after_dh_auto_install:
-	$(RM) -v debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/thrust/thrust-header-search.cmake.in
 	# remove empty directories
 	find debian/tmp -depth -type d -exec sh -c 'd="{}"; rmdir --ignore-fail-on-non-empty "$$d" ; test -d "$$d" || echo "removed $$d"' \;
