=== debian/changelog ===
libthrust (2.0.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Jun 2023 10:31:22 +0200

libthrust (2.0.1-1) experimental; urgency=medium

  * New upstream release 2.0.1.
  * Add (Build-)Depends: libcu++-dev (>= 1.8.0).
  * Fix autopkgtests with older nvcc.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Mar 2023 16:53:41 +0100
