=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
+ libcu++-dev (>= 1.8.0),
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/NVIDIA/thrust
@@ -19,6 +20,7 @@
 Depends:
  libcub-dev (>= ${cub:Version}),
  libcub-dev (<< ${cub:Version}.),
+ libcu++-dev (>= 1.8.0),
  ${misc:Depends}
 Recommends:
  libtbb-dev,
