=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 		-DTHRUST_DEVICE_SYSTEM=CPP \
 		-DTHRUST_CPP_DIALECT=17 \
 		-DTHRUST_INSTALL_CUB_HEADERS=OFF \
+		-DTHRUST_INSTALL_LIBCUDACXX_HEADERS=OFF \
 		-Wno-dev
 
 # for debhelper-compat (<< 15)
