=== debian/tests/control ===
--- 
+++ 
@@ -29,19 +29,6 @@
  make,
  libtbb-dev,
  g++-11,
-Restrictions:
- superficial,
- allow-stderr,
- flaky,
-
-Test-Command: debian/tests/upstream-testsuite CPP 17 g++-10
-Features: test-name=run_testsuite_CPP_C++17_g++-10
-Depends:
- @,
- cmake,
- make,
- libtbb-dev,
- g++-10,
 Restrictions:
  superficial,
  allow-stderr,
@@ -98,6 +85,7 @@
 Restrictions:
  superficial,
  allow-stderr,
+ flaky,
 
 Test-Command: debian/tests/upstream-testsuite CPP/CUDA 17 g++-11
 Features: test-name=compile_testsuite_CPP_CUDA_C++17_g++-11
@@ -131,35 +119,3 @@
  flaky,
  skippable,
 
-Test-Command: debian/tests/upstream-testsuite CPP/CUDA 17 g++-10
-Features: test-name=compile_testsuite_CPP_CUDA_C++17_g++-10
-Architecture: amd64
-Depends:
- @,
- cmake,
- make,
- libtbb-dev,
- g++-10,
- nvidia-cuda-toolkit-gcc,
-Restrictions:
- superficial,
- allow-stderr,
- flaky,
- skippable,
-
-Test-Command: debian/tests/upstream-testsuite TBB/CUDA 17 g++-10
-Features: test-name=compile_testsuite_TBB_CUDA_C++17_g++-10
-Architecture: amd64
-Depends:
- @,
- cmake,
- make,
- libtbb-dev,
- g++-10,
- nvidia-cuda-toolkit-gcc,
-Restrictions:
- superficial,
- allow-stderr,
- flaky,
- skippable,
-
