## libthrust 2.1.0

=== debian/changelog ===
libthrust (2.1.0-1) unstable; urgency=medium

  * New upstream release 2.1.0.  (Closes: #1074279)
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 26 Jun 2024 00:09:14 +0200
